/*
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program. If not, see <https://www.gnu.org/licenses/>.
 */
package com.gmail.filoghost.holographicdisplays.event;

import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

import com.gmail.filoghost.holographicdisplays.object.NamedHologram;

public class NamedHologramEditedEvent extends Event {
	
	private static final HandlerList handlers = new HandlerList();
    
	private NamedHologram namedHologram;
	
    public NamedHologramEditedEvent(NamedHologram namedHologram) {
		this.namedHologram = namedHologram;
	}

	public NamedHologram getNamedHologram() {
		return namedHologram;
	}

	@Override
    public HandlerList getHandlers() {
        return handlers;
    }
    
	public static HandlerList getHandlerList() {
		return handlers;
	}
}
